/* Programmname: PatientenverwaltungZahnarzt
* GUI-Klasse: KundeGUI (Java-Anwendung)
* @author Bettina Schrder
* @version 1.0 / 22.12.2000
*/


import java.applet.*;
import java.awt.*;

public class PatientGUI extends Applet
{
    //Deklarieren von 2 Patientenobjekten
    Patient ersterPatient, zweiterPatient;
    Kasse ersteKasse, zweiteKasse;

    //Deklarieren des Fhrungstextes und des Ausgabebereichs
    //{{DECLARE_CONTROLS
        java.awt.Label Fuehrungstext = new java.awt.Label();
        java.awt.TextArea Ausgabebereich = new java.awt.TextArea("",0,0,TextArea.SCROLLBARS_VERTICAL_ONLY);
        //}}

    //Operationen
    /** Initialisierung der Interaktionselemente
    */
    public void init()
    {
        //Erzeugen der Interaktionselemente
        //{{INIT_CONTROLS
        setLayout(null);
        setSize(430,270);
                Fuehrungstext.setText("Patientenverwaltung");

        Fuehrungstext = new Label("Patientenverwaltung");
        Fuehrungstext.setBounds(36,24,168,28);
        Fuehrungstext.setFont(new Font("Dialog", Font.BOLD, 12));
        add(Fuehrungstext);

        Ausgabebereich = new TextArea("",0,0,TextArea.SCROLLBARS_VERTICAL_ONLY);
        Ausgabebereich.setBounds(36,60,360,156);
        Ausgabebereich.setForeground(java.awt.Color.black);
        add(Ausgabebereich);
        //}}
    }
    /** Anlegen von 2 Patientenobjekten
    */
    public void start()
    {
        //Erzeugen des 1. Patientenobjekts
        ersterPatient = new Patient(1,"Heinchen Heiner");
        //Daten fr 1. Patienten einlesen
        ersterPatient.setAdresse("Fuchsienweg 3, 24223 Raisdorf");
        ersterPatient.setGeburtsdatum("12.03.1972");
        ersterPatient.setVersichertenstatus(2);
        //Erzeugen des 1.Kassenobjektes
        ersteKasse = new Kasse(1,"Beinbruch");
        //Verbindung von Patient zu Kasse herstellen
        ersterPatient.setLink(ersteKasse);
        //Erzeugen des 2. Patientenobjekts
        zweiterPatient = new Patient(2,"Ella Ellrich");
        //Daten fr 2. Patienten einlesen
        zweiterPatient.setAdresse("NochneStrasse 7, 44112 NochnOrt");
        zweiterPatient.setGeburtsdatum("03.03.1933");
        zweiterPatient.setVKarteVorgelegt(true);
        zweiterPatient.setVersichertenname("Eberhard Mller-Ellrich");
        //Erzeugen des 2.Kassenobjektes
        zweiteKasse = new Kasse(2, "Hals &");
        //Verbindung von Patient zu Kasse herstellen
        zweiterPatient.setLink(zweiteKasse);
        //Anzeigen von Patientendaten und ihren Kassen
        this.ausgebenPatientendaten(ersterPatient);
        this.ausgebenPatientendaten(zweiterPatient);
   }
   /** Ausgeben von Patientendaten
   * @param einPatient Referenz auf auszugebendes Patientenobjekt
   */
   public void ausgebenPatientendaten(Patient einPatient)
   {
        //Hilfsattribut anlegen
        String MerkeText;
        Kasse MerkeKasse;
        //Patientendaten in Ausgabebereich anzeigen
        MerkeText = String.valueOf(einPatient.getPatientenNr());
        Ausgabebereich.append("PatientenNr:"+"\t"+"\t"+"\t"+MerkeText+"\n");
        Ausgabebereich.append("Patientenname:"+"\t"+"\t"+"\t"+einPatient.getPatientenname()+"\n");
        Ausgabebereich.append("Adresse:"+"\t"+"\t"+"\t"+einPatient.getAdresse()+"\n");
        Ausgabebereich.append("Geburtsdatum:"+"\t"+"\t"+"\t"+einPatient.getGeburtsdatum()+"\n");
        MerkeText = String.valueOf(einPatient.getVersichertenstatus());
        Ausgabebereich.append("Versichertenstatus:"+"\t"+"\t"+MerkeText+"\n");
        Ausgabebereich.append("Versichertenname:"+"\t"+"\t"+einPatient.getVersichertenname()+"\n");
        if (einPatient.getVKarteVorgelegt() == true)
            MerkeText = "Versicherungskarte vorgelegt:"+"\t"+"Ja";
        else
            MerkeText = "Versicherungskarte vorgelegt:"+"\t"+"Nein";
        Ausgabebereich.append(MerkeText+"\n");
        MerkeKasse = einPatient.getLink();
        MerkeText = String.valueOf(MerkeKasse.getKassenNr());
        Ausgabebereich.append("KassenNr.:"+"\t"+"\t"+"\t"+MerkeText+"\n");
        Ausgabebereich.append("Kassenname:"+"\t"+"\t"+"\t"+MerkeKasse.getKassenname()+"\n"+"\n");
    }
}